Bug 179524 - publication of all man and info pages for each release
publication of all man and info pages for each release
Status: CLOSED WONTFIX
Product: Fedora Infrastructure
Classification: Retired
Component: website (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Websites Team
Elliot Lee
:
Depends On:
Blocks: fdp-alexandria-traqr
  Show dependency treegraph
 
Reported: 2006-01-31 22:27 EST by Karsten Wade
Modified: 2011-12-13 23:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-13 23:30:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2006-01-31 22:27:35 EST
We would like to have every man and info page for each release of Fedora Core
and Extras to be available via a simple Web interface,

One option would be a directory full of formatted ASCII files.  Another would be
a simple search interface or contents listing, with the directory on the back-end.

One objective is to be able to browse manual pages of various releases.

Another goal is to have permanent URIs for documentation and reference.

Having a simple Web-based diff tool to see what was added/subtracted across
versions would be cool too.

This could be a relative or a tie-in to DocsRawhide.  The man and info pages for
Fedora rawhide could be made available through this method.

In the future, I'd like to see this format extended to allow a Wiki-like ability
to edit the man pages directly.

Would this be possible to implement?
Comment 1 Patrick Barnes 2006-05-23 10:01:08 EDT
Shoot.  I wish I had remembered this bug when looking for Summer of Code 
ideas.  I've added this to the FedoraBounties page.  It's more likely to get 
attention there.
Comment 2 Ricky Zhou 2009-08-05 12:17:12 EDT
Hey, I'm just cleaning up old Infrastructure bugs in bugzilla.  If this would still be a useful task, can you close this and file a ticket at https://fedorahosted.org/fedora-infrastructure/ (login with your FAS credentails).
Comment 3 Karsten Wade 2011-12-13 23:30:08 EST
This idea can be considered dead on the vine after this many years. Doing this task is trivial, but no one cares enough to do it? CLOSED

Note You need to log in before you can comment on or make changes to this bug.